Last Comment Bug 566160 - HTMLInputElement and HTMLButtonElement should implement formaction attribute which override HTMLFormElement action attribute
: HTMLInputElement and HTMLButtonElement should implement formaction attribute ...
Status: RESOLVED FIXED
: dev-doc-complete, html5
Product: Core
Classification: Components
Component: DOM: Core & HTML (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla2.0b5
Assigned To: Mounir Lamouri (:mounir)
:
Mentors:
http://dev.w3.org/html5/spec/forms.ht...
Depends on: 566064 566128
Blocks: html5forms
  Show dependency treegraph
 
Reported: 2010-05-15 14:33 PDT by Mounir Lamouri (:mounir)
Modified: 2010-10-07 08:02 PDT (History)
9 users (show)
mounir: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
beta5+


Attachments
Tests v1 (6.28 KB, patch)
2010-05-17 03:17 PDT, Mounir Lamouri (:mounir)
jonas: review+
Details | Diff | Review
Patch v1 (9.91 KB, patch)
2010-05-17 03:17 PDT, Mounir Lamouri (:mounir)
jonas: review+
Details | Diff | Review
Patch v2 (22.19 KB, patch)
2010-08-18 09:40 PDT, Mounir Lamouri (:mounir)
bugs: superreview+
Details | Diff | Review

Description Mounir Lamouri (:mounir) 2010-05-15 14:33:11 PDT
If a form is submitted via a submit button and if the element has a formaccept attribute, it should override the form accept attribute.
Comment 1 Mounir Lamouri (:mounir) 2010-05-15 14:54:05 PDT
s/accept/action/ in the previous comment
Comment 2 Mounir Lamouri (:mounir) 2010-05-17 03:17:14 PDT
Created attachment 445667 [details] [diff] [review]
Tests v1
Comment 3 Mounir Lamouri (:mounir) 2010-05-17 03:17:40 PDT
Created attachment 445668 [details] [diff] [review]
Patch v1
Comment 4 Jonas Sicking (:sicking) PTO Until July 5th 2010-05-26 02:35:46 PDT
Comment on attachment 445667 [details] [diff] [review]
Tests v1

You might want to also test simply calling .click() on the elements.
Comment 5 Mounir Lamouri (:mounir) 2010-08-17 12:20:13 PDT
Blocker request: we would like to have this HTML5 Forms feature for ff4.
Comment 6 Mounir Lamouri (:mounir) 2010-08-18 09:40:18 PDT
Created attachment 467035 [details] [diff] [review]
Patch v2

r=sicking

This is adding a test with .click() and refreshing the patch.
Comment 7 Mounir Lamouri (:mounir) 2010-08-19 22:21:33 PDT
Pushed: http://hg.mozilla.org/mozilla-central/rev/80b450a23c6b

Note You need to log in before you can comment on or make changes to this bug.